> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update results cache clear schedule

> Set a recurring schedule that invalidates every cached query result in
the project. Schedules run daily or weekly at one or more
hours, on the hour, in the project's scheduler timezone. Requires project admin access.



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json put /api/v1/projects/{projectUuid}/results-cache-config/clear-schedule
openapi: 3.0.0
info:
  title: Lightdash API
  version: 3.127.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Authenticate using the Authorization header with either
    'ApiKey <personal-access-token>' or 'Bearer <service-account-token>'. Create
    a Personal Access Token by following this guide:
    https://docs.lightdash.com/references/personal_tokens Self-hosted
    provisioning can use the admin token configured with
    LD_SETUP_SERVICE_ACCOUNT_TOKEN to create scoped service accounts through the
    Service Accounts API.
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Service Accounts
    description: >-
      Create and manage machine credentials for your organization. Requires
      organization administration permission. Use predefined organization
      scopes, a custom organization role, or grants to selected projects.
      Credentials cannot grant more access than the caller holds.
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/projects/{projectUuid}/results-cache-config/clear-schedule:
    put:
      tags:
        - Projects
      summary: Update results cache clear schedule
      description: >-
        Set a recurring schedule that invalidates every cached query result in

        the project. Schedules run daily or weekly at one or more

        hours, on the hour, in the project's scheduler timezone. Requires
        project admin access.
      operationId: updateProjectResultsCacheClearSchedule
      parameters:
        - in: path
          name: projectUuid
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateResultsCacheClearSchedule'
      responses:
        '200':
          description: Updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResultsCacheProjectSettingsResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    UUID:
      type: string
      format: uuid
      description: |-
        Stringified UUIDv4.
        See [RFC 4112](https://tools.ietf.org/html/rfc4122)
      pattern: >-
        [0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}
    UpdateResultsCacheClearSchedule:
      properties:
        enabled:
          type: boolean
        cron:
          type: string
      required:
        - enabled
        - cron
      type: object
    ApiResultsCacheProjectSettingsResponse:
      $ref: '#/components/schemas/ApiSuccess_ResultsCacheProjectSettings_'
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    ApiSuccess_ResultsCacheProjectSettings_:
      properties:
        results:
          $ref: '#/components/schemas/ResultsCacheProjectSettings'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    ResultsCacheProjectSettings:
      properties:
        schedulerTimezone:
          type: string
        clearSchedule:
          allOf:
            - $ref: '#/components/schemas/ResultsCacheClearSchedule'
          nullable: true
        lastInvalidatedAt:
          type: string
          format: date-time
          nullable: true
        instanceDefaultTtlSeconds:
          type: number
          format: double
        cacheTtlSeconds:
          type: number
          format: double
          nullable: true
        projectUuid:
          type: string
      required:
        - schedulerTimezone
        - clearSchedule
        - lastInvalidatedAt
        - instanceDefaultTtlSeconds
        - cacheTtlSeconds
        - projectUuid
      type: object
    ResultsCacheClearSchedule:
      properties:
        nextRunAt:
          type: string
          format: date-time
          nullable: true
        enabled:
          type: boolean
        cron:
          type: string
      required:
        - nextRunAt
        - enabled
        - cron
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.